﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace _16AlgPierwiastekKwad
{
    public partial class Form1 : Form
    {
        float pierwiastek(float n, float dokladnosc)
        {
            float a = 1.0f,
                  b = n;
            while ((float)Math.Abs(a - b) >= dokladnosc)
            {
                a = (a + b) / 2;
                b = n / a;
            }
            return (float)(a + b) / 2;
        }
        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)
        {
            float n=float.Parse(textBox1.Text),
                  dokladnosc=float.Parse(textBox2.Text);
            MessageBox.Show(
                pierwiastek(n, dokladnosc).ToString(),
                "Wynik pierwiastkowania",
                MessageBoxButtons.OK,
                MessageBoxIcon.Information
                );
        }

        private void textBox2_KeyPress(object sender, KeyPressEventArgs e)
        {
            //zamień kropkę na przecinek (seperator dziesiętny)
            //przecinek jest ustawiony jako znak separatora na Polskę
            if (e.KeyChar == '.'|| e.KeyChar == ',') { e.KeyChar = ','; return; }
            if (e.KeyChar == 8) return;//wyskocz jak BackSpace
            //ignoruj nienumeryczne i znak minus
            //nie ma pierwiastka kwad z mniejszych od zera
            if (e.KeyChar < '0' || e.KeyChar > '9' || e.KeyChar=='-') 
                e.Handled = true;
        }
    }
}
